#!/bin/bash

JAVA_HOME=$GRAALVM_HOME

# Start with a fresh build
rm -f ./src/main/resources/META-INF/native-image/*
mvn clean

# Compile the sources but do not package yet.
mvn compile

# Run the main class with the normal VM and the tracing agent.
mvn exec:exec

# Now create the native image based on the tracing information.
mvn package

# Execute the binary to see whether it works.
time ./target/hello
